org.apache.lucene.util.packed

## Class MonotonicBlockPackedReader

- java.lang.Object
- - org.apache.lucene.util.LongValues
  - - org.apache.lucene.util.packed.MonotonicBlockPackedReader

All Implemented Interfaces:
  Accountable

    public class MonotonicBlockPackedReader
    extends LongValues
    implements Accountable

Provides random access to a stream written with `MonotonicBlockPackedWriter`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.util.LongValues

`IDENTITY, ZEROES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `get(long index)` Get value at `index`.
`static MonotonicBlockPackedReader` `of(IndexInput in, int packedIntsVersion, int blockSize, long valueCount, boolean direct)` Sole constructor.
`long` `ramBytesUsed()` Return the memory usage of this object in bytes.
`long` `size()` Returns the number of values
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.util.Accountable

`getChildResources`

### Method Detail

#### of

    public static MonotonicBlockPackedReader of(IndexInput in,
                                                int packedIntsVersion,
                                                int blockSize,
                                                long valueCount,
                                                boolean direct)
                                         throws IOException

Sole constructor.

Throws:
  `IOException`

#### get

    public long get(long index)

Description copied from class: `LongValues`
Get value at `index`.

Specified by:
  `get` in class `LongValues`

#### size

    public long size()

Returns the number of values

#### ramBytesUsed

    public long ramBytesUsed()

Description copied from interface: `Accountable`
Return the memory usage of this object in bytes. Negative values are illegal.

Specified by:
  `ramBytesUsed` in interface `Accountable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`